#if MODULE_GRAFIK == TRUE

#ifndef __GRAFIK_H
#define __GRAFIK_H

/*Treiber fr ein Grafik-LCD mit HD61202 Header*/
/*Matthias Weier (c) 2003*/

#define GRAFIK_BMP0	(code unsigned char *)0xE000
#define GRAFIK_BMP1	(code unsigned char *)0xE400
#define GRAFIK_BMP2	(code unsigned char *)0xE800
#define GRAFIK_BMP3	(code unsigned char *)0xEC00

void grafik_init(void);													//Initialiesiert das Grafikdisplay
void grafik_clear(void);												//Lscht das gesamte Display
void grafik_wbusy(void); /*_naked*/											//Frgt das Busy-Bit ab
void grafik_printbyte(unsigned char byte, unsigned char page, unsigned char line);					//Gibt ein Byte auf dem Grafikdisplay an definierter Stelle aus
unsigned char grafik_readbyte(unsigned char page, unsigned char line);							//Liet das definierte Byte aus dem Grafikdisplay
void grafik_printbmp(unsigned char *stelle);										//Gibt ein Bitmap auf dem LCD aus
void grafik_printcxy(unsigned char x, unsigned char y, unsigned char c);						//Textausgabe auf Display bei xy-Koordinaten
void grafik_printtextxy(unsigned char x, unsigned char y, unsigned char *string);					//Textausgabe auf Display bei xy-Koordinaten
void grafik_drawrec(unsigned char x, unsigned char y, unsigned char l, unsigned char h);				//Zeichnet ein Rechteck auf dem Grafik-LCD
void grafik_line(unsigned char x1, unsigned char y1, unsigned char x2, unsigned char y2);				//zeichnet eine Linie
void grafik_circle(unsigned char x1,unsigned char y1,unsigned char r);							//zeichnet einen Kreis
void grafik_xy(unsigned char x, unsigned char y, bit state);								//setzt Pixel-xy wenn state=0, lscht Pixel-xy wenn state = 1

void grafik_wr_cmd(unsigned char cmd, unsigned char chip);
void grafik_wr_data(unsigned char data, unsigned char chip);
unsigned char grafik_rd_cmd(unsigned char chip);
unsigned char grafik_rd_data(unsigned char chip);

#endif

#endif
